;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;----------------------------------------AIコマンド
[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]
;---------------------------------------------------------------------------
[State -1, ai] 
type = varset
triggerall = !Ishelper
triggerall = var(59) = 0 
trigger1 = Command = "AI0" 
trigger2 = Command = "AI1" 
trigger3 = Command = "AI2" 
trigger4 = Command = "AI3" 
trigger5 = Command = "AI4" 
trigger6 = Command = "AI5" 
trigger7 = Command = "AI6" 
trigger8 = Command = "AI7" 
trigger9 = Command = "AI8" 
trigger10 = Command = "AI9" 
trigger11 = Command = "AI10" 
trigger12 = Command = "AI11" 
trigger13 = Command = "AI12" 
trigger14 = Command = "AI13" 
trigger15 = Command = "AI14" 
trigger16 = Command = "AI15" 
trigger17 = Command = "AI16" 
trigger18 = Command = "AI17" 
trigger19 = Command = "AI18" 
trigger20 = Command = "AI19" 
trigger21 = Command = "AI20" 
trigger22 = Command = "AI21" 
trigger23 = Command = "AI22" 
trigger24 = Command = "AI23" 
trigger25 = Command = "AI24" 
trigger26 = Command = "AI25" 
trigger27 = Command = "AI26" 
trigger28 = Command = "AI27" 
trigger29 = Command = "AI28" 
trigger30 = Command = "AI29" 
trigger31 = Command = "AI30"  
trigger32 = Command = "AI31" 
trigger33 = Command = "AI32" 
trigger34 = Command = "AI33" 
trigger35 = Command = "AI34" 
trigger36 = Command = "AI35" 
trigger37 = Command = "AI36" 
trigger38 = Command = "AI37" 
trigger39 = Command = "AI38" 
trigger40 = Command = "AI39" 
trigger41 = Command = "AI40"
trigger42 = Command = "AI41" 
trigger43 = Command = "AI42" 
trigger44 = Command = "AI43" 
trigger45 = Command = "AI44"
trigger46 = Command = "AI45" 
trigger47 = Command = "AI46" 
trigger48 = Command = "AI47" 
trigger49 = Command = "AI48" 
trigger50 = Command = "AI49" 
trigger51 = Command = "AI50" 
;trigger52 = 1              
;↑「;」を取り除けば常時AI起動
var(59) = 1

[State ]
type = ChangeState
value = 5600
trigger1 = var(5)!=0
trigger1 = var(0)=0
trigger1 = ctrl || stateno=101

;===========================================================================
;---------------------------------------------------------------------------
;幻海突破
[State ]
type = ChangeState
value = 2000
triggerall = var(59)=0&&var(0)>0&&var(5)=0
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command = "holdback"
triggerall = stateno!=2000
triggerall = power>=1000
triggerall = numhelper(12210)=0
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger6 = stateno =600
trigger6 = AnimElemTime(3) > 0
trigger6 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger7 = stateno =700
trigger7 = AnimElemTime(4) > 0
trigger7 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger8 = stateno =800
trigger8 = AnimElemTime(4) > 0
trigger8 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger9 = stateno =900
trigger9 = AnimElemTime(6) > 0
trigger9 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger10 = stateno =1000
trigger10 = AnimElemTime(6) > 0
trigger10 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger11 = stateno =1100
trigger11 = AnimElemTime(7) > 0
trigger12 = stateno =1200
trigger12 = movecontact
trigger13 = stateno =1200
trigger13 = helper(11210),movecontact||helper(11211),movecontact||helper(11212),movecontact
trigger14 = stateno =1200
trigger14 = helper(11213),movecontact||helper(11214),movecontact||helper(11215),movecontact
trigger15 = stateno =1300
trigger15 = animelemtime(4)>0
trigger16 = stateno =1401


;南海の魔神
[State ]
type = ChangeState
value = 2100
triggerall = var(59)=0&&var(0)>0
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=2100
triggerall = power>=2000
triggerall = statetype != A
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger6 = stateno =600
trigger6 = AnimElemTime(3) > 0
trigger6 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger7 = stateno =700
trigger7 = AnimElemTime(4) > 0
trigger7 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger8 = stateno =800
trigger8 = AnimElemTime(4) > 0
trigger8 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger9 = stateno =900
trigger9 = AnimElemTime(6) > 0
trigger9 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger10 = stateno =1000
trigger10 = AnimElemTime(6) > 0
trigger10 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger11 = stateno =1100
trigger11 = AnimElemTime(7) > 0
trigger12 = stateno =1200
trigger12 = movecontact
trigger13 = stateno =1200
trigger13 = helper(11210),movecontact||helper(11211),movecontact||helper(11212),movecontact
trigger14 = stateno =1200
trigger14 = helper(11213),movecontact||helper(11214),movecontact||helper(11215),movecontact
trigger15 = stateno =1300
trigger15 = animelemtime(4)>0
trigger16 = stateno =1401

;溟海の一撃
[State ]
type = ChangeState
value = 2200
triggerall = var(59)=0&&var(0)>0
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=2200
triggerall = power>=1000
triggerall = numhelper(12210)=0
triggerall = statetype != A
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger6 = stateno =600
trigger6 = AnimElemTime(3) > 0
trigger6 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger7 = stateno =700
trigger7 = AnimElemTime(4) > 0
trigger7 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger8 = stateno =800
trigger8 = AnimElemTime(4) > 0
trigger8 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger9 = stateno =900
trigger9 = AnimElemTime(6) > 0
trigger9 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger10 = stateno =1000
trigger10 = AnimElemTime(6) > 0
trigger10 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger11 = stateno =1100
trigger11 = AnimElemTime(7) > 0
trigger12 = stateno =1200
trigger12 = movecontact
trigger13 = stateno =1200
trigger13 = helper(11210),movecontact||helper(11211),movecontact||helper(11212),movecontact
trigger14 = stateno =1200
trigger14 = helper(11213),movecontact||helper(11214),movecontact||helper(11215),movecontact
trigger15 = stateno =1300
trigger15 = animelemtime(4)>0
trigger16 = stateno =1401

;鳴門大渦潮
[State ]
type = ChangeState
value = 2300
triggerall = var(59)=0&&var(0)>0
triggerall = command = "z"
triggerall = command = "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=2300
triggerall = power>=1000
triggerall = statetype != A
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger6 = stateno =600
trigger6 = AnimElemTime(3) > 0
trigger6 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger7 = stateno =700
trigger7 = AnimElemTime(4) > 0
trigger7 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger8 = stateno =800
trigger8 = AnimElemTime(4) > 0
trigger8 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger9 = stateno =900
trigger9 = AnimElemTime(6) > 0
trigger9 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger10 = stateno =1000
trigger10 = AnimElemTime(6) > 0
trigger10 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger11 = stateno =1100
trigger11 = AnimElemTime(7) > 0
trigger12 = stateno =1200
trigger12 = movecontact
trigger13 = stateno =1200
trigger13 = helper(11210),movecontact||helper(11211),movecontact||helper(11212),movecontact
trigger14 = stateno =1200
trigger14 = helper(11213),movecontact||helper(11214),movecontact||helper(11215),movecontact
trigger15 = stateno =1300
trigger15 = animelemtime(4)>0
trigger16 = stateno =1401

;---------------------------------------------------------------------------
;波を起こす
[State ]
type = ChangeState
value = 1100
triggerall = var(59)=0
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=1100
triggerall = statetype != A
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger6 = stateno =600
trigger6 = AnimElemTime(3) > 0
trigger6 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger7 = stateno =700
trigger7 = AnimElemTime(4) > 0
trigger7 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger8 = stateno =800
trigger8 = AnimElemTime(4) > 0
trigger8 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger9 = stateno =900
trigger9 = AnimElemTime(6) > 0
trigger9 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger10 = stateno =1000
trigger10 = AnimElemTime(6) > 0
trigger10 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact

;オラオラ
[State ]
type = ChangeState
value = 1200
triggerall = var(59)=0
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=1200
triggerall = statetype != A
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger6 = stateno =600
trigger6 = AnimElemTime(3) > 0
trigger6 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger7 = stateno =700
trigger7 = AnimElemTime(4) > 0
trigger7 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger8 = stateno =800
trigger8 = AnimElemTime(4) > 0
trigger8 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger9 = stateno =900
trigger9 = AnimElemTime(6) > 0
trigger9 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger10 = stateno =1000
trigger10 = AnimElemTime(6) > 0
trigger10 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact

;拳骨
[State ]
type = ChangeState
value = 1300
triggerall = var(59)=0
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=1300
triggerall = statetype != A
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger6 = stateno =600
trigger6 = AnimElemTime(3) > 0
trigger6 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger7 = stateno =700
trigger7 = AnimElemTime(4) > 0
trigger7 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger8 = stateno =800
trigger8 = AnimElemTime(4) > 0
trigger8 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger9 = stateno =900
trigger9 = AnimElemTime(6) > 0
trigger9 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger10 = stateno =1000
trigger10 = AnimElemTime(6) > 0
trigger10 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact


;にぎりつぶす
[State ]
type = ChangeState
value = 1400
triggerall = var(59)=0
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = command = "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=1400
triggerall = statetype != A
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger6 = stateno =600
trigger6 = AnimElemTime(3) > 0
trigger6 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger7 = stateno =700
trigger7 = AnimElemTime(4) > 0
trigger7 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger8 = stateno =800
trigger8 = AnimElemTime(4) > 0
trigger8 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger9 = stateno =900
trigger9 = AnimElemTime(6) > 0
trigger9 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger10 = stateno =1000
trigger10 = AnimElemTime(6) > 0
trigger10 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact


;行動指示;未実装技
[State ]
type = null;ChangeState
value = 1500
triggerall = var(59)=0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command = "holdback"
triggerall = stateno!=1500
triggerall = statetype != A
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger6 = stateno =600
trigger6 = AnimElemTime(3) > 0
trigger6 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger7 = stateno =700
trigger7 = AnimElemTime(4) > 0
trigger7 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger8 = stateno =800
trigger8 = AnimElemTime(4) > 0
trigger8 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger9 = stateno =900
trigger9 = AnimElemTime(6) > 0
trigger9 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact
trigger10 = stateno =1000
trigger10 = AnimElemTime(6) > 0
trigger10 = movecontact||helper( helper(10000),stateno+10 ),movecontact||helper(10810),movecontact



;===========================================================================
;---------------------------------------------------------------------------
;斜め上ストレート
[State ]
type = ChangeState
value = 600
triggerall = var(59)=0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=600
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact

;正面ストレート
[State ]
type = ChangeState
value = 700
triggerall = var(59)=0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=700
triggerall = statetype != A
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact

;下段ラリアット
[State ]
type = ChangeState
value = 800
triggerall = var(59)=0
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=800
triggerall = statetype != A
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact

;アッパーカット
[State ]
type = ChangeState
value = 900
triggerall = var(59)=0
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = command = "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=900
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact

;アームハンマー
[State ]
type = ChangeState
value = 1000
triggerall = var(59)=0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command = "holdback"
triggerall = stateno!=1000
triggerall = statetype != A
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger4 = stateno =400
trigger4 = AnimElemTime(3) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger5 = stateno =500
trigger5 = AnimElemTime(6) > 0
trigger5 = movecontact||helper( helper(10000),stateno+10 ),movecontact


;---------------------------------------------------------------------------
;ワン
[State ]
type = ChangeState
value = 200
triggerall = var(59)=0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
;triggerall = statetype != A
trigger1 = ctrl || stateno=101
;ツー
[State ]
type = ChangeState
value = 201
triggerall = var(59)=0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
trigger1 = stateno =200
trigger1 = movecontact

;ベアハッグ
[State ]
type = ChangeState
value = 300
triggerall = var(59)=0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=300
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =400
trigger3 = AnimElemTime(3) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger4 = stateno =500
trigger4 = AnimElemTime(6) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact

;フック
[State ]
type = ChangeState
value = 400
triggerall = var(59)=0
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=400
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = AnimElemTime(6) > 0
trigger3 = movecontact||helper( helper(10000),stateno+10 ),movecontact
trigger4 = stateno =500
trigger4 = AnimElemTime(6) > 0
trigger4 = movecontact||helper( helper(10000),stateno+10 ),movecontact

;裏拳
[State ]
type = ChangeState
value = 500
triggerall = var(59)=0
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = command = "holdfwd"
triggerall = command != "holdback"
triggerall = stateno!=500
trigger1 = ctrl || stateno=101
trigger2 = stateno =[200,201]
trigger2 = movecontact
trigger3 = stateno =300||numhelper(10310)
trigger3 = movecontact||helper(10310),movecontact
trigger4 = stateno =400||numhelper(10410)
trigger4 = movecontact||helper(10410),movecontact


[State ];
type = ChangeState
value = 100
triggerall = var(59)=0
triggerall = command = "FF"
triggerall = statetype != A
trigger1 = ctrl

[State ];
type = ChangeState
value = 105
triggerall = var(59)=0
triggerall = command = "BB"
triggerall = statetype != A
trigger1 = ctrl


















;便宜上ＡＩ
;---------------------------------------------------------------------------

[State 1];立ち回り用
type = varset
trigger1 = enemynear,movetype!=H
var(58)=0
ignorehitpause=1
[State 1];地上コンボ用
type = varset
trigger1 = enemynear,statetype!=A
trigger1 = enemynear,movetype=H
trigger1 = enemynear,stateno!=[120,155]
var(58)=1
ignorehitpause=1
[State 1];地上コンボ用
type = varset
trigger1 = enemynear,statetype=A
trigger1 = enemynear,movetype=H
trigger1 = enemynear,stateno!=[120,155]
var(58)=2
ignorehitpause=1
[State 1];固め用
type = varset
trigger1 = enemynear,movetype=H
trigger1 = enemynear,stateno=[120,155]
var(58)=3
ignorehitpause=1
[State 1];起き攻め用
type = varset
trigger1 = enemynear,statetype=L
var(58)=4
ignorehitpause=1

[State 1];津波用
type = varadd
trigger1 = var(0)=4
trigger1 = var(55)>2
var(55)=-3
ignorehitpause=1

;ガード
[State -1]
Type = ChangeState 
Value = 120
TriggerAll = Var(59) && Ctrl && statetype != A && helper(10000),stateno!=10001
Trigger1 = (InGuardDist || (P2BodyDist X = [-40,10])) && EnemyNear,HitDefAttr = SCA,AA,AP 
Trigger2 = Enemy,NumProj > 0 
Trigger3 = !InGuardDist && EnemyNear,HitDefAttr != SCA,NT,ST,HT && P2BodyDist X < 0
Trigger4 = !InGuardDist && EnemyNear,Vel X > 0 && EnemyNear,HitDefAttr = SC,AA 
Trigger5 = (InGuardDist || (P2MoveType = A && (EnemyNear,P2BodyDist X = [-10,120]))) && Enemy,NumHelper > 0 

;バクステ
[State ]
type = ChangeState
value = 105
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
trigger1 = enemynear,movetype=A
trigger1 = random<10
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
立ち回り用AI
;---------------------------------------------------------------------------
;幻海突破
[State ]
type = ChangeState
value = 2000
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = stateno!=2000&&var(5)=0
triggerall = var(55)*1>=life
;triggerall = var(0)<var(1)
trigger1 = helper(10000),var(0)<(lifemax-life)
trigger1 = power>=1000
trigger1 = ctrl || stateno=101

;南海の魔神
[State ]
type = ChangeState
value = 2100
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = stateno!=2300
triggerall = statetype != A
triggerall = enemynear,movetype=A
trigger1 = power>=3000
trigger1 = ctrl || stateno=101
trigger2 = movecontact
trigger2 = power>=3000
trigger2 = var(57)<=0 && var(0)=var(1) && life>var(55)
trigger3 = movecontact
trigger3 = power>=2000
trigger3 = var(57)>0 || var(0)!=var(1) || life<=var(55)

;鳴門大渦潮
[State ]
type = ChangeState
value = 2300
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = stateno!=2300
triggerall = statetype != A
triggerall = p2dist x =[-90,100]
trigger1 = enemynear,hitdefattr = SCA,AA
trigger1 = power>=2000
trigger1 = var(57)<=0 && var(0)=var(1) && life>var(55)
trigger1 = helper(10000),stateno=10001
trigger1 = ctrl || stateno=101

;波起こし;全ての波レベル
[State ]
type = ChangeState
value = 1100
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = stateno!=1100
triggerall = enemynear,statetype != A
triggerall = enemynear,animtime!=[-19,-16]
triggerall = var(0)=var(1) || helper(10000),var(2)>0
triggerall = var(57)<=0 && life>var(55)
triggerall = numhelper(22010+var(0))=0
triggerall = random<50
trigger1 = statetype != A
trigger1 = ctrl || stateno=101
trigger2 = stateno=106
trigger2 = animtime=0
trigger2 = random<300

;オラオラ;全ての波レベル
[State ]
type = ChangeState
value = 1200
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = stateno!=1200
triggerall = random<200
triggerall = var(0)=var(1) || helper(10000),var(2)>0
triggerall = statetype != A
trigger1 = enemynear,vel x =0
trigger1 = var(57)<=0 && life>var(55)
trigger1 = P2dist x =[50,180]
trigger1 = ctrl || stateno=101

;拳骨;全ての波レベル
[State ]
type = ChangeState
value = 1300
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = stateno!=1300
triggerall = statetype != A
trigger1 = enemynear,statetype = A||random<20
trigger1 = P2dist x >160
trigger1 = ctrl || stateno=101
trigger2 = stateno=800
trigger2 = helper(10810),movecontact
trigger3 = enemynear,statetype = A
trigger3 = var(57)>0 || var(0)!=var(1) || life<=var(55)
trigger3 = statetype != A
trigger3 = stateno=106
trigger3 = animtime=0

;にぎりつぶす;全ての波レベル
[State ]
type = ChangeState
value = 1400
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = stateno!=1400
triggerall = enemynear,statetype = A||random<80
triggerall = var(0)=var(1) || helper(10000),var(2)>0
trigger1 = var(57)<=0 && life>var(55)
trigger1 = enemynear,movetype=I
trigger1 = P2dist x =[-10,70]
triggerall = statetype != A
trigger1 = ctrl || stateno=101

;斜め上ストレート;全ての波レベル
[State ]
type = ChangeState
value = 600
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = p2dist x=[80,160]
triggerall = stateno!=600
triggerall = enemynear,statetype = A
triggerall = var(0)=var(1) || helper(10000),var(2)>0
triggerall = statetype != A
trigger1 = var(57)<=0 && life>var(55)
trigger1 = ctrl || stateno=101

;正面ストレート;全ての波レベル
[State ]
type = ChangeState
value = 700
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = stateno!=700
triggerall = enemynear,statetype != A
triggerall = var(0)=var(1) || helper(10000),var(2)>0
trigger1 = var(57)<=0 && life>var(55)
trigger1 = random<400
trigger1 = enemynear,animtime=[-20,-15]
triggerall = statetype != A
trigger1 = ctrl || stateno=101

;下段ラリアット;全ての波レベル
[State ]
type = ChangeState
value = 800
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = stateno!=800
triggerall = enemynear,statetype != A
triggerall = var(0)>=1
triggerall = statetype != A
trigger1 = P2dist x >150
trigger1 = random<10||numhelper(22000+var(0))=0
trigger1 = ctrl || stateno=101
trigger2 = stateno =201
trigger2 = movecontact
trigger3 = stateno =300
trigger3 = helper(10310),movecontact
trigger4 = stateno =400
trigger4 = helper(10410),movecontact
trigger5 = stateno =500
trigger5 = helper(10410),movecontact
trigger6 = var(57)>0 || var(0)!=var(1) || life<=var(55)
trigger6 = random<15
trigger6 = statetype != A
trigger6 = ctrl
trigger7 = var(57)>0 || var(0)!=var(1) || life<=var(55)
trigger7 = statetype != A
trigger7 = stateno=106
trigger7 = animtime=0

;アッパーカット;全ての波レベル
[State ]
type = ChangeState
value = 900
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = stateno!=900
triggerall = enemynear,statetype = A
triggerall = var(0)=var(1) || helper(10000),var(2)>0
triggerall = statetype != A
trigger1 = var(57)<=0 && life>var(55)
trigger1 = P2dist x =[-30,80]
trigger1 = ctrl || stateno=101

;---------------------------------------------------------------------------
;バクステ
[State ]
type = ChangeState
value = 105
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = p2bodydist x =0 || p2dist x=[0,50]
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = random<50

;ワン;全ての波レベル
[State ]
type = ChangeState
value = 200
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = p2bodydist x =0 || p2dist x=[0,50]
triggerall = enemynear,statetype != A
trigger1 = ctrl || stateno=101
;ツー;全ての波レベル
[State ]
type = ChangeState
value = 201
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = p2bodydist x =0 || p2dist x=[0,50]
trigger1 = stateno =200
trigger1 = movecontact

;ベアハッグ;全ての波レベル
[State ]
type = ChangeState
value = 300
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = p2dist x=[100,200]
triggerall = stateno!=300
triggerall = enemynear,statetype != A
triggerall = var(57)<=0 && life>var(55)
triggerall = var(0)=var(1) || helper(10000),var(2)>0
trigger1 = ctrl || stateno=101
trigger1 = random<50

;フック;全ての波レベル
[State ]
type = ChangeState
value = 400
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = p2dist x=[50,100]
triggerall = stateno!=400
triggerall = var(0)=var(1) || helper(10000),var(2)>0
triggerall = var(57)<=0 && life>var(55)
trigger1 = random<50
trigger1 = ctrl || stateno=101

;裏拳;全ての波レベル
[State ]
type = ChangeState
value = 500
triggerall = var(59) && var(0)>0 && var(58)=0 && roundstate=2
triggerall = p2dist x=[70,150]
triggerall = stateno!=500
triggerall = enemynear,statetype != A
triggerall = var(57)<=0 && life>var(55)
triggerall = var(0)=var(1) || helper(10000),var(2)>0
triggerall = statetype != A
trigger1 = ctrl || stateno=101
trigger1 = random<50

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;細波のAI
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
地上コンボ用AI
;---------------------------------------------------------------------------
;ワン
[State ];全ての波レベル
type = ChangeState
value = 200
triggerall = var(59) && var(0)>0 && var(58)=1 && roundstate=2
triggerall = p2bodydist x =0 || p2dist x=[0,50]
triggerall = statetype != A
trigger1 = ctrl || stateno=101
;ツー
[State ];全ての波レベル
type = ChangeState
value = 201
triggerall = var(59) && var(0)>0 && var(58)=1 && roundstate=2
triggerall = p2bodydist x =0 || p2dist x=[0,70]
trigger1 = stateno =200
trigger1 = movecontact

;南海の魔神
[State ]
type = ChangeState
value = 2100
triggerall = var(59) && var(0)=1 && var(58)=1 && roundstate=2
triggerall = stateno!=2100
triggerall = power>=2000
triggerall = statetype != A
triggerall = frontedgedist >100
trigger1 = stateno=300
trigger1 = helper(10310),movecontact
trigger2 = stateno=500
trigger2 = helper(10510),movecontact||movecontact
trigger3 = stateno=600
trigger3 = helper(10610),movecontact||movecontact
trigger4 = stateno=700
trigger4 = helper(10710),movecontact||movecontact
trigger5 = stateno=800
trigger5 = helper(10810),movecontact||movecontact
trigger6 = stateno=900
trigger6 = helper(10910),movecontact||movecontact
trigger7 = stateno=1100
trigger7 = AnimElemTime(7) > 0
trigger8 = stateno=1200
trigger8 = helper(11212),movecontact||movecontact=1

;鳴門大渦潮
[State ]
type = ChangeState
value = 2300
triggerall = var(59) && var(0)=1 && var(58)=1 && roundstate=2
triggerall = stateno!=2300
triggerall = power>=1000
triggerall = statetype != A
trigger1 = helper(10000),var(0)>=lifemax*0.5
trigger1 = stateno=500
trigger1 = helper(10510),movecontact||movecontact>=10
trigger2 = helper(10000),var(0)>=lifemax*0.5
trigger2 = stateno=1200
trigger2 = movecontact=1

;溟海の一撃
[State ]
type = ChangeState
value = 2200
triggerall = var(59) && var(0)=1 && var(58)=1 && roundstate=2
triggerall = stateno!=2200
triggerall = power>=1000
triggerall = statetype != A
triggerall = numhelper(12210)=0
trigger1 = helper(10000),var(0)<lifemax*0.5
trigger1 = stateno=500
trigger1 = helper(10510),movecontact||movecontact>=10
trigger2 = stateno=1200
trigger2 = helper(11212),movecontact
trigger2 = time>110 || p2dist x !=[0,140]
trigger2 = time>30
trigger3 = stateno=700
trigger3 = helper(10710),movecontact||movecontact
trigger4 = stateno=300
trigger4 = movecontact=1
trigger4 = random<100

;裏拳
[State ]
type = ChangeState
value = 500
triggerall = var(59) && var(0)=1 && var(58)=1 && roundstate=2
triggerall = stateno!=500
triggerall = enemynear,statetype != A
trigger1 = p2bodydist x=[0,20]
trigger1 = stateno =201
trigger1 = movecontact
trigger2 = p2bodydist x=[70,120]
trigger2 = ctrl || stateno=101

;フック
[State ]
type = ChangeState
value = 400
triggerall = var(59) && var(0)=1 && var(58)=1 && roundstate=2
triggerall = p2dist x>70||stateno=201||ctrl || stateno=101
triggerall = stateno!=400
trigger1 = stateno =[200,201]
trigger1 = movecontact
trigger2 = stateno =500
trigger2 = movecontact>=10
trigger3 = p2dist x=[0,70]
trigger3 = ctrl || stateno=101

;ベアハッグ
[State ]
type = ChangeState
value = 300
triggerall = var(59) && var(0)=1 && var(58)=1 && roundstate=2
triggerall = stateno!=300
triggerall = statetype != A
trigger1 = p2dist x <90
trigger1 = p2bodydist x>20
trigger1 = stateno =400
trigger1 = AnimElemTime(3) > 0
trigger1 = helper( 10410 ),movecontact
trigger2 = stateno =500
trigger2 = movecontact>=10
;
;-------------------------------------------
;正面ストレート
[State ]
type = ChangeState
value = 700
triggerall = var(59) && var(0)=1 && var(58)=1 && roundstate=2
triggerall = stateno!=700
triggerall = statetype != A
trigger1 = p2dist x >=90
trigger1 = stateno =400
trigger1 = AnimElemTime(3) > 0
trigger1 = helper( 10410 ),movecontact
trigger2 = stateno =500
trigger2 = AnimElemTime(3) > 0
trigger2 = helper( 10510 ),movecontact
trigger3 = p2bodydist x>120
trigger3 = ctrl || stateno=101

;拳骨
[State ]
type = ChangeState
value = 1300
triggerall = var(59) && var(0)=1 && var(58)=1 && roundstate=2
triggerall = stateno!=1300
triggerall = statetype != A
trigger1 = stateno=300
trigger1 = helper( 10310 ),movecontact>2
trigger2 = stateno=700
trigger2 = helper( 10710 ),movecontact
trigger3 = stateno=600
trigger3 = helper( 10610 ),movecontact
trigger4 = stateno=800
trigger4 = helper( 10810 ),movecontact
trigger4 = movecontact!=1

;オラオラ
[State ]
type = ChangeState
value = 1200
triggerall = var(59) && var(0)=1 && var(58)=1 && roundstate=2
triggerall = stateno!=1200
triggerall = statetype != A
trigger1 = p2bodydist x<=20
trigger1 = stateno=400
trigger1 = helper( 10410 ),movecontact
trigger1 = animtime=0
trigger2 = stateno=800
trigger2 = movecontact

;
;----------------------------------------------------------------
;---------------------------------------------------------------------------
;空中コンボ用AI
;---------------------------------------------------------------------------

;アッパーカット
[State ]
type = ChangeState
value = 900
triggerall = var(59) && var(0)=1 && var(58)=2 && roundstate=2
triggerall = stateno!=900
triggerall = p2dist x=[-30,70]
trigger1 = stateno =300
trigger1 = AnimElemTime(6) > 0
trigger1 = helper( 10310 ),movecontact
trigger2 = stateno=[200,201]
trigger2 = movecontact
trigger3 = stateno=400
trigger3 = movecontact || helper( 10410 ),movecontact
trigger4 = stateno=500
trigger4 = movecontact
trigger5 = ctrl||stateno=101
trigger5 = var(57)<=0 && var(0)=var(1) && life>var(55)

;正面ストレート
[State ]
type = ChangeState
value = 700
triggerall = var(59) && var(0)=1 && var(58)=2 && roundstate=2
triggerall = stateno!=700
triggerall = p2dist x>70
triggerall = statetype != A
trigger1 = stateno =300
trigger1 = AnimElemTime(6) > 0
trigger1 = helper( 10310 ),movecontact
trigger2 = stateno=400
trigger2 = movecontact
trigger3 = stateno=500
trigger3 = movecontact

;にぎりつぶす
[State ]
type = ChangeState
value = 1400
triggerall = var(59) && var(0)=1 && var(58)=2 && roundstate=2
triggerall = stateno!=1400
triggerall = P2dist x =[0,80]
triggerall = statetype != A
trigger1 = stateno =900
trigger1 = AnimTime=0
trigger2 = stateno=2302
trigger2 = animtime=0

;フック
[State ]
type = ChangeState
value = 400
triggerall = var(59) && var(0)=1 && var(58)=2 && roundstate=2
triggerall = stateno!=400
trigger1 = p2dist x=[-30,65]
trigger3 = enemynear,vel y<=0
trigger1 = ctrl || stateno=101

;拳骨
[State ]
type = ChangeState
value = 1300
triggerall = var(59) && var(0)=1 && var(58)=2 && roundstate=2
triggerall = stateno!=1300
triggerall = statetype != A
trigger1 = stateno =900
trigger1 = AnimTime=0
trigger2 = stateno=700
trigger2 = animtime=-5
trigger2 = helper( 10710 ),movecontact
trigger3 = stateno=600
trigger3 = helper( 10610 ),movecontact

;南海の魔神
[State ]
type = ChangeState
value = 2100
triggerall = var(59) && var(0)=1 && var(58)=2 && roundstate=2
triggerall = stateno!=2100
triggerall = power>=2000
triggerall = statetype != A
triggerall = frontedgedist >100
trigger1 = 0;stateno=300
trigger1 = helper(10310),movecontact
trigger2 = stateno=600
trigger2 = helper(10610),movecontact||movecontact
trigger3 = stateno=900
trigger3 = helper(10910),movecontact||movecontact
trigger4 = stateno=1100
trigger4 = AnimElemTime(7) > 0

;鳴門大渦潮
[State ]
type = ChangeState
value = 2300
triggerall = var(59) && var(0)=1 && var(58)=2 && roundstate=2
triggerall = stateno!=2300
triggerall = power>=1000
triggerall = statetype != A
trigger1 = frontedgedist<70
trigger1 = stateno=1401

;溟海の一撃
[State ]
type = ChangeState
value = 2200
triggerall = var(59) && var(0)=1 && var(58)=2 && roundstate=2
triggerall = stateno!=2200
triggerall = power>=1000
triggerall = numhelper(12210)=0
triggerall = statetype != A
trigger1 = stateno =900
trigger1 = AnimTime=0
trigger2 = stateno=700
trigger2 = helper(10710),movecontact||movecontact
trigger3 = stateno =600
trigger3 = helper(10610),movecontact
;---------------------------------------------------------------------------
地上固め用AI
;---------------------------------------------------------------------------
;ワン;全ての波レベル
[State ]
type = ChangeState
value = 200
triggerall = var(59) && var(0)>0 && var(58)=3 && roundstate=2
triggerall = p2dist x=[0,50]
triggerall = statetype != A
trigger1 = ctrl || stateno=101
;ツー;全ての波レベル
[State ]
type = ChangeState
value = 201
triggerall = var(59) && var(0)>0 && var(58)=3 && roundstate=2
triggerall = p2dist x=[0,70]
trigger1 = stateno =200
trigger1 = movecontact

;裏拳
[State ]
type = ChangeState
value = 500
triggerall = var(59) && var(0)=1 && var(58)=3 && roundstate=2
triggerall = stateno!=500
triggerall = enemynear,statetype != A
triggerall = p2bodydist x=[0,20]
triggerall = frontedgedist >70
trigger1 = stateno =201
trigger1 = movecontact
trigger2 = stateno =300
trigger2 = helper( 10310 ),movecontact

;フック
[State ]
type = ChangeState
value = 400
triggerall = var(59) && var(0)=1 && var(58)=3 && roundstate=2
triggerall = stateno!=400
trigger1 = p2dist x>70||stateno=201
trigger1 = stateno =[200,201]
trigger1 = movecontact
trigger2 = p2dist x=[45,70]
trigger2 = ctrl

;正面ストレート
[State ]
type = ChangeState
value = 700
triggerall = var(59) && var(0)=1 && var(58)=3 && roundstate=2
triggerall = stateno!=700
triggerall = p2dist x>100
triggerall = statetype != A
trigger1 = stateno =300
trigger1 = AnimElemTime(6) > 0
trigger1 = helper( 10310 ),movecontact
trigger2 = stateno=400
trigger2 = AnimElemTime(3) > 0
trigger2 = helper( 10410 ),movecontact
trigger3 = stateno=500
trigger3 = AnimElemTime(6) > 0
trigger3 = helper( 10510 ),movecontact

;アームハンマー
[State ]
type = ChangeState
value = 1000
triggerall = var(59) && var(0)=1 && var(58)=3 && roundstate=2
triggerall = stateno!=1000
triggerall = p2dist x=[0,100]
triggerall = statetype != A
trigger1 = stateno =300
trigger1 = AnimElemTime(6) > 0
trigger1 = helper( 10310 ),movecontact
trigger2 = stateno=400
trigger2 = helper( 10410 ),movecontact
trigger3 = stateno=500
trigger3 = helper( 10510 ),movecontact

;波起こし
[State ]
type = ChangeState
value = 1100
triggerall = var(59) && var(0)=1 && var(58)=3 && roundstate=2
triggerall = stateno!=1100
triggerall = enemynear,statetype != A
triggerall = statetype != A
trigger1 = stateno =700
trigger1 = AnimElemTime(4) > 0
trigger1 = movecontact||helper( 10710 ),movecontact

;にぎりつぶす
[State ]
type = ChangeState
value = 1400
triggerall = var(59) && var(0)=1 && var(58)=3 && roundstate=2
triggerall = stateno!=1400
triggerall = P2dist x =[0,70]
triggerall = statetype != A
trigger1 = stateno =600
trigger1 = movecontact||helper( 10610 ),movecontact
trigger2 = stateno =800
trigger2 = movecontact||helper( 10810 ),movecontact
trigger3 = stateno =900
trigger3 = movecontact||helper( 10910 ),movecontact
trigger4 = stateno =1000
trigger4 = helper( 11010 ),movecontact

;ダッシュ
[State ];
type = ChangeState
value = 100
triggerall = var(59) && var(0)=1 && var(58)=3 && roundstate=2
triggerall = p2dist x>80
triggerall = statetype != A
triggerall = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
置き攻め用AI
;---------------------------------------------------------------------------
;オラオラ
[State ];
type = ChangeState
value = 1200
triggerall = var(59) && var(0)=0 && var(58)=4 && roundstate=2
triggerall = p2dist x=[50,150]
triggerall = var(0)=var(1) || helper(10000),var(2)>0
trigger1 = var(57)<=0 && life>var(55)
trigger1 = statetype != A
trigger1 = ctrl

;波起こし
[State ];
type = ChangeState
value = 1100
triggerall = var(59) && var(0)=0 && var(58)=4 && roundstate=2
triggerall = var(0)=var(1) || helper(10000),var(2)>0
trigger1 = var(57)<=0 && life>var(55)
trigger1 = p2dist x !=[95,155]
trigger1 = statetype != A
trigger1 = ctrl

;下段ラリアット
[State ];
type = ChangeState
value = 800
triggerall = var(59) && var(0)=0 && var(58)=4 && roundstate=2
trigger1 = var(57)>0 || p2dist x =[95,155]
trigger1 = statetype != A
trigger1 = ctrl



;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;大波以上のAI
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
地上コンボ用AI
;---------------------------------------------------------------------------

;南海の魔神
[State ]
type = ChangeState
value = 2100
triggerall = var(59) && var(0)>=2 && var(58)=1 && roundstate=2
triggerall = stateno!=2100
triggerall = power>=2000
triggerall = statetype != A
triggerall = frontedgedist >100
trigger1 = stateno=300||ctrl
trigger1 = helper(10310),movecontact
trigger2 = stateno=500||ctrl
trigger2 = helper(10510),movecontact||movecontact
trigger3 = stateno=600||ctrl
trigger3 = helper(10610),movecontact||movecontact
trigger4 = stateno=700||ctrl
trigger4 = helper(10710),movecontact||movecontact
trigger5 = stateno=800||ctrl
trigger5 = helper(10810),movecontact||movecontact
trigger6 = stateno=900||ctrl
trigger6 = helper(10910),movecontact||movecontact
trigger7 = stateno=1100
trigger7 = AnimElemTime(7) > 0
trigger8 = stateno=1200
trigger8 = helper(11212),movecontact||movecontact=1

;鳴門大渦潮
[State ]
type = ChangeState
value = 2300
triggerall = var(59) && var(0)>=2 && var(58)=1 && roundstate=2
triggerall = stateno!=2300
triggerall = power>=1000
triggerall = statetype != A
trigger1 = helper(10000),var(0)>=lifemax*0.4
trigger1 = stateno=500
trigger1 = helper(10510),movecontact||movecontact>=10
trigger2 = helper(10000),var(0)>=lifemax*0.4
trigger2 = stateno=1200
trigger2 = movecontact=1

;溟海の一撃
[State ]
type = ChangeState
value = 2200
triggerall = var(59) && var(0)>=2 && var(58)=1 && roundstate=2
triggerall = stateno!=2200
triggerall = power>=1000
triggerall = statetype != A
triggerall = numhelper(12210)=0
trigger1 = helper(10000),var(0)<lifemax*0.4
trigger1 = stateno=500
trigger1 = helper(10510),movecontact||movecontact>=10
trigger2 = stateno=1200
trigger2 = helper(11212),movecontact
trigger2 = time>110 || p2dist x !=[0,140]
trigger2 = time>30
trigger3 = stateno=700
trigger3 = helper(10710),movecontact||movecontact
trigger4 = stateno=300
trigger4 = helper(10310),movecontact||movecontact=1
trigger4 = random<100
trigger5 = stateno=1000
trigger5 = movecontact

;裏拳
[State ]
type = ChangeState
value = 500
triggerall = var(59) && var(0)>=2 && var(58)=1 && roundstate=2
triggerall = stateno!=500
trigger1 = p2bodydist x=[0,20]
trigger1 = stateno =201
trigger1 = movecontact
trigger2 = p2bodydist x=[0,120]
trigger2 = stateno=400
trigger2 = helper(10410),movecontact
trigger3 = p2bodydist x=[70,120]
trigger3 = ctrl || stateno=101

;フック
[State ]
type = ChangeState
value = 400
triggerall = var(59) && var(0)>=2 && var(58)=1 && roundstate=2
triggerall = stateno!=400
trigger1 = stateno =[200,201]
trigger1 = movecontact
trigger2 = p2dist x=[0,100]
trigger2 = stateno =500
trigger2 = movecontact>=10||helper(10510),movecontact
trigger3 = p2dist x=[0,70]
trigger3 = ctrl || stateno=101

;ベアハッグ
[State ]
type = ChangeState
value = 300
triggerall = var(59) && var(0)>=2 && var(58)=1 && roundstate=2
triggerall = stateno!=300
triggerall = statetype != A
trigger1 = p2dist x <90
trigger1 = p2bodydist x>20
trigger1 = stateno =400
trigger1 = AnimElemTime(3) > 0
trigger1 = helper( 10410 ),movecontact
trigger2 = stateno =500
trigger2 = movecontact>=10
;
;-------------------------------------------
;正面ストレート
[State ]
type = ChangeState
value = 700
triggerall = var(59) && var(0)>=2 && var(58)=1 && roundstate=2
triggerall = stateno!=700
triggerall = statetype != A
trigger1 = p2dist x >=120
trigger1 = stateno =400
trigger1 = AnimElemTime(3) > 0
trigger1 = helper( 10410 ),movecontact
trigger2 = stateno =500
trigger2 = AnimElemTime(3) > 0
trigger2 = helper( 10510 ),movecontact
trigger3 = stateno =300
trigger3 = helper( 10310 ),movecontact
trigger4 = helper( 10310 ),movecontact
trigger4 = ctrl || stateno=101

;拳骨
[State ]
type = ChangeState
value = 1300
triggerall = var(59) && var(0)>=2 && var(58)=1 && roundstate=2
triggerall = stateno!=1300
triggerall = statetype != A
trigger1 = stateno=300
trigger1 = helper( 10310 ),movecontact>2
trigger2 = stateno=700
trigger2 = helper( 10710 ),movecontact
trigger3 = stateno=600
trigger3 = helper( 10610 ),movecontact
trigger4 = stateno=800
trigger4 = helper( 10810 ),movecontact
trigger4 = movecontact!=1

;オラオラ
[State ]
type = ChangeState
value = 1200
triggerall = var(59) && var(0)>=2 && var(58)=1 && roundstate=2
triggerall = stateno!=1200
triggerall = statetype != A
trigger1 = p2bodydist x<=50
trigger1 = stateno=400
trigger1 = helper( 10410 ),movecontact
trigger1 = animtime=0
trigger2 = stateno=800
trigger2 = movecontact

;
;----------------------------------------------------------------
;---------------------------------------------------------------------------
;空中コンボ用AI
;---------------------------------------------------------------------------

;アッパーカット
[State ]
type = ChangeState
value = 900
triggerall = var(59) && var(0)>=2 && var(58)=2 && roundstate=2
triggerall = stateno!=900
triggerall = stateno=300 || p2dist x=[-30,70]
trigger1 = stateno =300
trigger1 = AnimElemTime(6) > 0
trigger1 = helper( 10310 ),movecontact
trigger2 = stateno=[200,201]
trigger2 = movecontact
trigger3 = stateno=400
trigger3 = movecontact||helper( 10410 ),movecontact
trigger4 = stateno=500
trigger4 = movecontact
trigger5 = ctrl||stateno=101
trigger5 = var(57)<=0 && var(0)=var(1) && life>var(55)

;正面ストレート
[State ]
type = ChangeState
value = 700
triggerall = var(59) && var(0)>=2 && var(58)=2 && roundstate=2
triggerall = stateno!=700
triggerall = p2dist x>70||stateno=300
triggerall = statetype != A
trigger1 = stateno =300
trigger1 = AnimElemTime(6) > 0
trigger1 = helper( 10310 ),movecontact
trigger2 = stateno=400
trigger2 = movecontact
trigger3 = stateno=500
trigger3 = movecontact
trigger4 = helper( 10310 ),movecontact
trigger4 = ctrl || stateno=101

;にぎりつぶす
[State ]
type = ChangeState
value = 1400
triggerall = var(59) && var(0)>=2 && var(58)=2 && roundstate=2
triggerall = stateno!=1400
triggerall = P2dist x =[0,80]
triggerall = statetype != A
trigger1 = stateno =900
trigger1 = helper( 10910 ),movecontact
trigger2 = stateno=2302
trigger2 = animtime=0
trigger3 = enemynear,vel y<0
trigger3 = ctrl || stateno=101

;フック
[State ]
type = ChangeState
value = 400
triggerall = var(59) && var(0)>=2 && var(58)=2 && roundstate=2
triggerall = stateno!=400
trigger1 = p2dist x=[-30,70]
trigger3 = enemynear,vel y<=0
trigger1 = ctrl || stateno=101

;拳骨
[State ]
type = ChangeState
value = 1300
triggerall = var(59) && var(0)>=2 && var(58)=2 && roundstate=2
triggerall = stateno!=1300
triggerall = statetype != A
trigger1 = stateno =900
trigger1 = AnimTime=0
trigger2 = stateno=700
trigger2 = animtime>-14
trigger2 = helper( 10710 ),movecontact
trigger3 = stateno=600
trigger3 = helper( 10610 ),movecontact

;南海の魔神
[State ]
type = ChangeState
value = 2100
triggerall = var(59) && var(0)>=2 && var(58)=2 && roundstate=2
triggerall = stateno!=2100
triggerall = power>=2000
triggerall = statetype != A
triggerall = frontedgedist >100
trigger1 = 0;stateno=300
trigger1 = helper(10310),movecontact
trigger2 = stateno=600
trigger2 = helper(10610),movecontact||movecontact
trigger3 = stateno=900
trigger3 = helper(10910),movecontact||movecontact
trigger4 = stateno=1100
trigger4 = AnimElemTime(7) > 0

;鳴門大渦潮
[State ]
type = ChangeState
value = 2300
triggerall = var(59) && var(0)>=2 && var(58)=2 && roundstate=2
triggerall = stateno!=2300
triggerall = power>=1000
triggerall = statetype != A
trigger1 = frontedgedist<70
trigger1 = stateno=1401

;溟海の一撃
[State ]
type = ChangeState
value = 2200
triggerall = var(59) && var(0)>=2 && var(58)=2 && roundstate=2
triggerall = stateno!=2200
triggerall = power>=1000
triggerall = numhelper(12210)=0
triggerall = statetype != A
trigger1 = stateno =900
trigger1 = AnimTime=0
trigger2 = stateno=700
trigger2 = helper(10710),movecontact||movecontact
trigger3 = stateno =600
trigger3 = helper(10610),movecontact
;---------------------------------------------------------------------------
地上固め用AI
;---------------------------------------------------------------------------

;裏拳
[State ]
type = ChangeState
value = 500
triggerall = var(59) && var(0)>=2 && var(58)=3 && roundstate=2
triggerall = stateno!=500
triggerall = enemynear,statetype != A
triggerall = p2bodydist x=[0,100]
trigger1 = stateno =201
trigger1 = movecontact || helper( 10210 ),movecontact
trigger2 = stateno =300
trigger2 = helper( 10310 ),movecontact

;フック
[State ]
type = ChangeState
value = 400
triggerall = var(59) && var(0)>=2 && var(58)=3 && roundstate=2
triggerall = stateno!=400
trigger1 = p2dist x>70||stateno=201
trigger1 = stateno =[200,201]
trigger1 = movecontact
trigger2 = p2dist x=[45,70]
trigger2 = ctrl
trigger3 = stateno =500
trigger3 = helper( 10510 ),movecontact
trigger3 = power<2000

;正面ストレート
[State ]
type = ChangeState
value = 700
triggerall = var(59) && var(0)>=2 && var(58)=3 && roundstate=2
triggerall = stateno!=700
triggerall = p2dist x>100
triggerall = statetype != A
trigger1 = stateno =300
trigger1 = AnimElemTime(6) > 0
trigger1 = helper( 10310 ),movecontact
trigger2 = stateno=400
trigger2 = AnimElemTime(3) > 0
trigger2 = helper( 10410 ),movecontact
trigger3 = stateno=500
trigger3 = AnimElemTime(6) > 0
trigger3 = helper( 10510 ),movecontact

;アームハンマー
[State ]
type = ChangeState
value = 1000
triggerall = var(59) && var(0)>=2 && var(58)=3 && roundstate=2
triggerall = stateno!=1000
triggerall = p2dist x=[0,100]
triggerall = statetype != A
trigger1 = stateno =300
trigger1 = AnimElemTime(6) > 0
trigger1 = helper( 10310 ),movecontact
trigger2 = stateno=400
trigger2 = helper( 10410 ),movecontact
trigger3 = stateno=500
trigger3 = helper( 10510 ),movecontact

;波起こし
[State ]
type = ChangeState
value = 1100
triggerall = var(59) && var(0)>=2 && var(58)=3 && roundstate=2
triggerall = stateno!=1100
triggerall = enemynear,statetype != A
triggerall = statetype != A
trigger1 = stateno =700
trigger1 = AnimElemTime(4) > 0
trigger1 = movecontact||helper( 10710 ),movecontact

;にぎりつぶす
[State ]
type = ChangeState
value = 1400
triggerall = var(59) && var(0)>=2 && var(58)=3 && roundstate=2
triggerall = stateno!=1400
triggerall = P2dist x =[0,70]
triggerall = statetype != A
trigger1 = stateno =600
trigger1 = movecontact||helper( 10610 ),movecontact
trigger2 = stateno =800
trigger2 = movecontact||helper( 10810 ),movecontact
trigger3 = stateno =900
trigger3 = movecontact||helper( 10910 ),movecontact
trigger4 = stateno =1000
trigger4 = helper( 11010 ),movecontact

;ダッシュ
[State ];
type = ChangeState
value = 100
triggerall = var(59) && var(0)>=2 && var(58)=3 && roundstate=2
triggerall = p2dist x>80
triggerall = statetype != A
triggerall = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
置き攻め用AI
;---------------------------------------------------------------------------
;オラオラ
[State ];
type = ChangeState
value = 1200
triggerall = var(59) && var(0)>=2 && var(58)=4 && roundstate=2
triggerall = p2dist x=[50,150]
triggerall = var(0)=var(1) || helper(10000),var(2)>0
triggerall = var(57)<=0 && life>var(55)
triggerall = statetype != A
trigger1 = ctrl

;波起こし
[State ];
type = ChangeState
value = 1100
triggerall = var(59) && var(0)>=2 && var(58)=4 && roundstate=2
triggerall = var(0)=var(1) || helper(10000),var(2)>0
trigger1 = var(57)<=0 && life>var(55)
trigger1 = p2dist x !=[95,155]
trigger1 = statetype != A
trigger1 = ctrl

;下段ラリアット
[State ];
type = ChangeState
value = 800
triggerall = var(59) && var(0)>=2 && var(58)=4 && roundstate=2
triggerall = var(0)=var(1) || helper(10000),var(2)>0
trigger1 = var(57)>0 || p2dist x =[95,155]
trigger1 = statetype != A
trigger1 = ctrl
